package it.com.atlassian.stash.rules;

/**
 * A specialized Exception which represents a JavaScript error in the browser
 *
 * @see JavaScriptErrorRule
 */
public class JavaScriptException extends Exception {

    public JavaScriptException(String message) {
        super(message);
    }

    @Override
    public Throwable getCause() {
        return null;
    }

    @Override
    public Throwable initCause(Throwable cause) {
        throw new UnsupportedOperationException();
    }
}
